List App Processes

List App Processes
List processes for an app

Retrieves all processes belonging to an app.

Request
URI
GET
https://api.example.local/v3/apps/{guid}/processes
COPY
Path Parameters
string
guid
Required

The unique identifier for the resource

Query Parameters
integer
page
Optional

Page to display; valid values are integers >= 1

page example
1
integer
per_page
Optional

Number of results per page, valid values are 1 through 5000

per_page example
50
string
order_by
Optional

Value to sort by. Defaults to ascending; prepend with - to sort descending.

order_by example
created_at

Authentication
This operation uses the following authentication methods.
Responses
200

OK

Returns ProcessList of type(s) application/json
This response body class contains all of the following: Pagination , InlineProcessList1
{
    "total_results": 0,
    "total_pages": 0,
    "first": {
        "href": "string",
        "method": "string"
    },
    "last": {
        "href": "string",
        "method": "string"
    },
    "next": {
        "href": "string",
        "method": "string"
    },
    "previous": {
        "href": "string",
        "method": "string"
    },
    "resources": [
        {
            "guid": "string",
            "created_at": "string",
            "updated_at": "string",
            "version": "string",
            "type": "string",
            "command": "string",
            "user": "string",
            "instances": 0,
            "memory_in_mb": 0,
            "disk_in_mb": 0,
            "log_rate_limit_in_bytes_per_second": 0,
            "registry_credential_last_synced_at": "string",
            "health_check": {
                "type": "string",
                "data": {
                    "timeout": 0,
                    "invocation_timeout": 0,
                    "interval": 0,
                    "endpoint": "string"
                }
            },
            "readiness_health_check": {
                "type": "string",
                "data": {
                    "timeout": 0,
                    "invocation_timeout": 0,
                    "interval": 0,
                    "endpoint": "string"
                }
            },
            "relationships": {
                "app": {
                    "data": {
                        "guid": "string"
                    }
                },
                "revision": {
                    "data": {
                        "guid": "string"
                    }
                },
                "registry_credential": {
                    "data": {
                        "guid": "string"
                    }
                }
            },
            "metadata": {
                "labels": {
                    "labels": "string"
                },
                "annotations": {
                    "annotations": "string"
                }
            },
            "links": {
                "self": {
                    "href": "string",
                    "method": "string"
                },
                "scale": {
                    "href": "string",
                    "method": "string"
                },
                "app": {
                    "href": "string",
                    "method": "string"
                },
                "space": {
                    "href": "string",
                    "method": "string"
                },
                "stats": {
                    "href": "string",
                    "method": "string"
                },
                "registry_credential": {
                    "href": "string",
                    "method": "string"
                }
            }
        }
    ]
}

401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


404

Not Found

Returns NotFound of type(s) application/json
{
    "errors": [
        {
            "code": 0,
            "detail": "string",
            "title": "string"
        }
    ]
}
array of object
errors
Optional

errors


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/v3/apps/{guid}/processes